> For the complete documentation index, see [llms.txt](https://docs.pritunl.com/kb/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pritunl.com/kb/zero/endpoint/endpoint-alerts.md).

# Endpoint Alerts

Configure alerts for endpoints

Alerts allow triggering SMS or phone call messages to users when an event occurs. To create an alert first add a role to the endpoints. In this example the role `alert` will be used. At least one role on the endpoint must match a role on the alert. A subscription is required for this functionality.

### Create Alert

For this example an alert will be created to trigger when the endpoint memory usage exceeds 90%. From the *Alerts* tab click *New*. Then set the *Name* to `high-memory` and add the role `alert`. The set the *Alert Type* to *Memory Usage Threshold*. Set the *Usage Threshold* to `90`.

The *Alert Level* will determine which user devices receive the alert. When a user device is configured each alert level will be configurable. This can be useful to send a phone call for high priority alerts and an SMS message for low priority alerts. The *Alert Frequency* will determine the minimum amount of time in minutes between repeat alerts. The alert will continue to be sent until the condition clears. Once done click *Save*.

If configured correctly the name of this alert should be listed in the *Endpoints* page.

![](https://2374617543-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FlsTNjQ8Kdr13MwZnI3jV%2Fuploads%2Fgit-blob-ed3ce16b87ffef5e60f8fd74beba75a88ed59822%2Fendpoint4.png?alt=media)

### Add Phone

Refer to the [**Endpoint Phone**](/kb/zero/endpoint/endpoint-phone.md) section to add a phone to receive alerts.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pritunl.com/kb/zero/endpoint/endpoint-alerts.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
